#!/bin/sh
#
# (c) Copyright 2005 Hewlett-Packard Development Company, L.P.
#
# #####################################################################
# ## This routine will restart the hpasm system management stack.    ##
# ## This is called when we get a serious error during the           ##
# ## initialization of the hpasmxld daemon uses with iLO 2 (ONLY).   ##
# #####################################################################

# Give the hpasmxld application to unload.  It can get hung up in the
# OpenIPMI driver if we have a bad reset.

sleep 10

# Stop the stack and wait one minute for iLO to finish resetting.
ps -e | grep "cma" > /dev/null
if [ $? -eq 0 ]; then
        HP_SNMP_AGENTS=1
        sh /etc/init.d/hp-snmp-agents stop
fi
sh /etc/init.d/hp-health stop
sleep 60
sh /etc/init.d/hp-health start
if [ $HP_SNMP_AGENTS ]; then
        sh /etc/init.d/hp-snmp-agents start
fi

